Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037663
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2018-01-17 17:372018-03-26 16:47
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision81adf089f1cd
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037663: API Change Request

DescriptionThe outdated Cash Flow Report is going to be removed (Issue 37565)

There are already reports to replace it, like the Cash Flow Forecast, and has been inactive for several years already.

Also, this report has a problem when working with Clusters.

But removing it triggers and API change both in DB and in Java.

Failure in API Checks: https://ci.openbravo.com//job/try-api/5660/ [^]
Steps To ReproduceThe outdated Cash Flow Report is going to be removed (Issue 37565)

There are already reports to replace it, like the Cash Flow Forecast, and has been inactive for several years already.

Also, this report has a problem when working with Clusters.

But removing it triggers and API change both in DB and in Java.

Failure in API Checks: https://ci.openbravo.com//job/try-api/5660/ [^]
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037565 closedcollazoandy4 Remove outdated Cash Flow report 

-  Notes
(0101882)
hgbot (developer)
2018-01-23 09:54

Repository: erp/devel/api-checks
Changeset: 6b77919ed9abb26ed7531583893bbab81468c2d0
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jan 23 09:53:28 2018 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/6b77919ed9abb26ed7531583893bbab81468c2d0 [^]

Fixes Issue 37663. Fixed API change due to removal of
outdated Cash Flow Report

---
M java/reference/java.japi.gz
M model/src-db/database/sourcedata/AD_MENU.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M model/src-db/database/sourcedata/AD_PROCESS.xml
M model/src-db/database/sourcedata/AD_TREENODE.xml
---
(0101895)
dmiguelez (developer)
2018-01-23 11:27

Code Review + Testing Ok
(0102585)
hgbot (developer)
2018-02-22 09:55

Repository: erp/devel/api-checks
Changeset: 81adf089f1cded8249692a3fa0caa4fbac89b57b
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jan 23 09:53:28 2018 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/81adf089f1cded8249692a3fa0caa4fbac89b57b [^]

Fixes Issue 37663. Fixed API change due to removal of
outdated Cash Flow Report

---
M model/src-db/database/sourcedata/AD_MENU.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M model/src-db/database/sourcedata/AD_PROCESS.xml
M model/src-db/database/sourcedata/AD_TREENODE.xml
---
(0103513)
vmromanos (developer)
2018-03-26 16:47

Closed again after reopened when repushing API change

- Issue History
Date Modified Username Field Change
2018-01-17 17:37 dmiguelez New Issue
2018-01-17 17:37 dmiguelez Assigned To => Triage Finance
2018-01-17 17:37 dmiguelez Modules => Core
2018-01-17 17:37 dmiguelez Triggers an Emergency Pack => No
2018-01-17 17:40 dmiguelez Assigned To Triage Finance => dmitry_mezentsev
2018-01-17 17:41 dmiguelez Description Updated View Revisions
2018-01-17 17:41 dmiguelez Steps to Reproduce Updated View Revisions
2018-01-18 16:20 dmitry_mezentsev Tag Attached: Approved
2018-01-18 16:20 dmitry_mezentsev Assigned To dmitry_mezentsev => dmiguelez
2018-01-23 09:54 hgbot Checkin
2018-01-23 09:54 hgbot Note Added: 0101882
2018-01-23 09:54 hgbot Status new => resolved
2018-01-23 09:54 hgbot Resolution open => fixed
2018-01-23 09:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/6b77919ed9abb26ed7531583893bbab81468c2d0 [^]
2018-01-23 11:22 dmiguelez Relationship added related to 0037565
2018-01-23 11:27 dmiguelez Review Assigned To => dmiguelez
2018-01-23 11:27 dmiguelez Note Added: 0101895
2018-01-23 11:27 dmiguelez Status resolved => closed
2018-01-23 11:27 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 09:55 hgbot Checkin
2018-02-22 09:55 hgbot Note Added: 0102585
2018-02-22 09:55 hgbot Status closed => resolved
2018-02-22 09:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/api-checks/rev/6b77919ed9abb26ed7531583893bbab81468c2d0 [^] => http://code.openbravo.com/erp/devel/api-checks/rev/81adf089f1cded8249692a3fa0caa4fbac89b57b [^]
2018-03-26 16:47 vmromanos Note Added: 0103513
2018-03-26 16:47 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker